Debugger for Firefox 8

Firefox is bugging me to upgrade to FF8, but says the JetBrains debugger is incompatible.

Is there a version compatible with FF8 yet?

If not, when is it likely to come?

Thanks

6 comments
Comment actions Permalink

JetBrains extension for Firefox is already updated for version 8, it will be available with the next WebStrom EAP build.

0
Comment actions Permalink

Wouldn't it be better to make the extention updates available seperatly?
I do not use the EAP but I do upgrade firefox whenever there is an update, so currently I cannot debug my javcascript from within phpstorm, which is mighty inconvinient to say the least.

0
Comment actions Permalink

We was thinking about that but it isn't simple to implement. Feel free to create an issue in our tracker (http://youtrack.jetbrains.net/issues/WI).

0
Comment actions Permalink

Created an issue: http://youtrack.jetbrains.net/issue/WI-8469

I wasn't sure I should since you mention it is complex, but since firefox releases a new major version every month these days I would think that updating the IDE each month is more complex for jetbrains in the long run?

0
Comment actions Permalink

Now I keep getting asked to upgrade to Firefox 8.0.1, but the upgrade says that it is incompatible with Jetbrains 0.4.7.  I'm running PhpStorm 3.0.

Any updates?

m

0
Comment actions Permalink

I had to uninstall the plugin from firefox, then run javascript debugger which causes phpstorm to install the current plugin. phpStorm 3.0 ships with plugin version 5.0 and is compatible with firefox 8.

0

Please sign in to leave a comment.